## org.eclipse.emf.ecore.xmi.impl
Class XMLHandler.ManyReference

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHandler.ManyReference

All Implemented Interfaces:
  XMLHelper.ManyReference

Enclosing class:
  XMLHandler

    protected static class XMLHandler.ManyReference

extends java.lang.Object
implements XMLHelper.ManyReference

Constructor Summary
`XMLHandler.ManyReference(EObject object, EStructuralFeature feature, java.lang.Object[] values, int[] positions, int lineNumber, int columnNumber)`

Method Summary
`int` `getColumnNumber()`
`EStructuralFeature` `getFeature()`
`int` `getLineNumber()`
`EObject` `getObject()`
`int[]` `getPositions()`
`java.lang.Object[]` `getValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLHandler.ManyReference

    public XMLHandler.ManyReference(EObject object,
                                    EStructuralFeature feature,
                                    java.lang.Object[] values,
                                    int[] positions,
                                    int lineNumber,
                                    int columnNumber)

Method Detail

### getObject

    public EObject getObject()

  Specified by:
    `getObject` in interface `XMLHelper.ManyReference`

### getFeature

    public EStructuralFeature getFeature()

  Specified by:
    `getFeature` in interface `XMLHelper.ManyReference`

### getValues

    public java.lang.Object[] getValues()

  Specified by:
    `getValues` in interface `XMLHelper.ManyReference`

### getPositions

    public int[] getPositions()

  Specified by:
    `getPositions` in interface `XMLHelper.ManyReference`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `XMLHelper.ManyReference`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `XMLHelper.ManyReference`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.